## virglrenderer 0.8.2

=== meson_options.txt ===
#############################################################################
#
# Copyright (C) 2019 Collabora Ltd
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.
#

option(
  'platforms',
  type : 'array',
  value : ['auto'],
  choices : [
    'egl', 'glx', 'auto'
  ],
  description : 'Platforms support, set to auto to enable all.'
)

option(
  'gbm_allocation',
  type : 'boolean',
  value : 'false',
  description : 'enable support for gbm_allocations'
)

option(
  'tests',
  type : 'boolean',
  value : 'false',
  description : 'enable unit tests'
)

option(
  'fuzzer',
  type : 'boolean',
  value : 'false',
  description : 'enable unit tests'
)

option(
  'valgrind',
  type : 'boolean',
  value : 'false',
  description : 'enable running unit tests with valgrind'
)

## virglrenderer 0.5.0

=== debian/changelog ===
virglrenderer (0.5.0-1~bpo8+1) jessie-backports; urgency=high

  * Build for jessie-backports.

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 08 Jul 2016 09:05:51 +0200

virglrenderer (0.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Sat, 25 Jun 2016 11:00:40 +0200

virglrenderer (0.4.0-6) unstable; urgency=high

  * Non-maintainer upload.
  * Install virglrenderer.pc pkg-config file (Closes: #818665).

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 05 Apr 2016 10:35:19 +0200

virglrenderer (0.4.0-5) unstable; urgency=medium

  * Only install libvirglrenderer.so in dev package (Closes: #817112)

 -- Daniel Pocock <daniel@pocock.pro>  Sun, 13 Mar 2016 08:47:25 +0100

virglrenderer (0.4.0-4) unstable; urgency=medium

  * Add README.source

 -- Daniel Pocock <daniel@pocock.pro>  Mon, 07 Mar 2016 14:30:51 +0100

virglrenderer (0.4.0-3) unstable; urgency=medium

  * Add extra debian/copyright detail.

 -- Daniel Pocock <daniel@pocock.pro>  Sun, 06 Mar 2016 18:26:07 +0100

virglrenderer (0.4.0-2) unstable; urgency=medium

  * Add extra debian/copyright detail.

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 02 Mar 2016 18:42:12 +0100

virglrenderer (0.4.0-1) unstable; urgency=medium

  * Initial packaging. (Closes: #813657)

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 02 Mar 2016 13:48:07 +0100

=== debian/control ===
Source: virglrenderer
Section: libs
Priority: extra
Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.pro>
Build-Depends: debhelper (>= 9.0.0), dh-autoreconf, autotools-dev, autoconf-archive, dpkg-dev (>= 1.16.1~), pkg-config, libepoxy-dev, libdrm-dev, libegl1-mesa-dev, libgbm-dev, python
Homepage: http://cgit.freedesktop.org/~airlied/virglrenderer
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/virglrenderer.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/virglrenderer.git

Package: libvirglrenderer0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: virtual GPU for KVM virtualization
 Library used by qemu to implement 3D GPU support for the virtio GPU.

Package: libvirglrenderer-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libvirglrenderer0 (= ${binary:Version})
Description: virtual GPU for KVM virtualization - headers
 Library used by qemu to implement 3D GPU support for the virtio GPU.
 .
 This packages contains the development files and headers.

=== debian/rules ===
#!/usr/bin/make -f

#DEB_BUILD_MAINT_OPTIONS = hardening=+all
#DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

#DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp

%:
	dh $@ --with autoreconf --builddirectory=.

## virglrenderer 0.6.0

=== debian/changelog ===
virglrenderer (0.6.0-2) unstable; urgency=medium

  * QA upload.
  * Apply upstream fix for CVE-2017-6386 (guest exhausting host memory).
    Closes: #872884

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 25 Aug 2017 03:12:15 +0200

virglrenderer (0.6.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #852603 #852604 #858255 #854728)
  * debian/control:
    - Bump Standards-Version to 4.0.1.
    - Bump dh version to 10.
    - Drop from B-D dh-autoreconf, autotools-dev, dpkg-dev no longer needed.
    - Update homepage.
    - Use secured VCS links.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 21 Aug 2017 20:16:15 +0200

virglrenderer (0.5.0-2) unstable; urgency=medium

  * Update maintainer to Debian QA up (orphaning the package)

 -- Daniel Pocock <daniel@pocock.pro>  Sun, 15 Jan 2017 16:07:24 +0100

=== debian/control ===
Source: virglrenderer
Section: libs
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 10), autoconf-archive, pkg-config, libepoxy-dev, libdrm-dev, libegl1-mesa-dev, libgbm-dev, python
Homepage: https://virgil3d.github.io/
Standards-Version: 4.0.1
Vcs-Git: https://anonscm.debian.org/collab-maint/virglrenderer.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/virglrenderer.git

Package: libvirglrenderer0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: virtual GPU for KVM virtualization
 Library used by qemu to implement 3D GPU support for the virtio GPU.
 .
 Virgil is a research project to investigate the possibility of creating
 a virtual 3D GPU for use inside qemu virtual machines, that allows the 
 guest operating system to use the capabilities of the host GPU
 to accelerate 3D rendering. The plan is to have a guest GPU that is fully 
 independent of the host GPU.

Package: libvirglrenderer-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libvirglrenderer0 (= ${binary:Version})
Description: virtual GPU for KVM virtualization - headers
 Library used by qemu to implement 3D GPU support for the virtio GPU.
 .
 Virgil is a research project to investigate the possibility of creating
 a virtual 3D GPU for use inside qemu virtual machines, that allows the
 guest operating system to use the capabilities of the host GPU
 to accelerate 3D rendering. The plan is to have a guest GPU that is fully
 independent of the host GPU.
 .
 This package contains the development files and headers.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf --builddirectory=.

=== debian/watch ===
version=4
https://www.freedesktop.org/software/virgl/virglrenderer-(.+).tar.bz2

## virglrenderer 0.7.0

=== debian/changelog ===
virglrenderer (0.7.0-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control: Mark the packages as Multi-Arch: same

  [ Gert Wollny ]
  * rework repository to use prinstine-tar and standard branches
  * d/control: Adopt package  Closes: #851490

 -- Gert Wollny <gewo@debian.org>  Wed, 09 Jan 2019 12:27:29 +0100

virglrenderer (0.7.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #910779)
    - Drop debian/patches/CVE-2017-6386, merged upstream
  * debian/control: Update Vcs-* fields
  * debian/control: Bump Standards-Version to 4.2.1 (no further changes)
  * debian/control: Bump priority to optional, priority extra is deprecated
  * debian/rules: Bump version in shlibs file

 -- Laurent Bigonville <bigon@debian.org>  Thu, 11 Oct 2018 11:34:34 +0200

=== debian/control ===
Source: virglrenderer
Section: libs
Priority: optional
Maintainer: Gert Wollny <gewo@debian.org>
Build-Depends: autoconf-archive,
               debhelper (>= 10),
               libdrm-dev,
               libegl1-mesa-dev,
               libepoxy-dev,
               libgbm-dev,
               pkg-config,
               python
Homepage: https://virgil3d.github.io/
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/debian/virglrenderer.git
Vcs-Browser: https://salsa.debian.org/debian/virglrenderer

Package: libvirglrenderer0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: virtual GPU for KVM virtualization
 Library used by qemu to implement 3D GPU support for the virtio GPU.
 .
 Virgil is a research project to investigate the possibility of creating
 a virtual 3D GPU for use inside qemu virtual machines, that allows the
 guest operating system to use the capabilities of the host GPU
 to accelerate 3D rendering. The plan is to have a guest GPU that is fully
 independent of the host GPU.

Package: libvirglrenderer-dev
Section: libdevel
Architecture: any
Depends: libvirglrenderer0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: virtual GPU for KVM virtualization - headers
 Library used by qemu to implement 3D GPU support for the virtio GPU.
 .
 Virgil is a research project to investigate the possibility of creating
 a virtual 3D GPU for use inside qemu virtual machines, that allows the
 guest operating system to use the capabilities of the host GPU
 to accelerate 3D rendering. The plan is to have a guest GPU that is fully
 independent of the host GPU.
 .
 This package contains the development files and headers.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

SHLIBVER := 0.7.0

%:
	dh $@ --with autoreconf --builddirectory=.

override_dh_makeshlibs:
	dh_makeshlibs -V 'libvirglrenderer0 (>= $(SHLIBVER))'

## virglrenderer 0.8.2

=== debian/changelog ===
virglrenderer (0.8.2-1ubuntu1.1) focal-security; urgency=medium

  * SECURITY UPDATE: out-of-bounds write in read_transfer_data()
    - debian/patches/CVE-2022-0135.patch: Add test to resource OOB write
      and fix it in src/vrend_renderer.c, tests/test_fuzzer_formats.c.
    - CVE-2022-0135
  * SECURITY UPDATE: info leak in vrend_resource_alloc_buffer()
    - debian/patches/CVE-2022-0175.patch: clear memory when allocating a
      host-backed memory resource in src/vrend_renderer.c,
      tests/test_virgl_transfer.c.
    - CVE-2022-0175

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Feb 2022 10:49:14 -0500

virglrenderer (0.8.2-1ubuntu1) focal; urgency=medium

  * Ignore test failures on riscv64.

 -- William Grant <wgrant@ubuntu.com>  Sat, 18 Apr 2020 13:38:57 +1000

virglrenderer (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2 Closes: #949954
  * d/patches: remove all patches since they were applied upstream
  * Fixes:  CVE-2020-8002 CVE-2020-8003

 -- Gert Wollny <gewo@debian.org>  Wed, 12 Feb 2020 14:51:10 +0100

virglrenderer (0.8.1-6) unstable; urgency=medium

  * d/rules: Up the timeout a bit more, mips* seems to need this sometimes

 -- Gert Wollny <gewo@debian.org>  Mon, 13 Jan 2020 15:56:55 +0100

virglrenderer (0.8.1-5) unstable; urgency=medium

  * d/p:0001 Add patch to swap bytes on pixel read back Closes: #948334
  * d/rules: Run test always on softpipe

 -- Gert Wollny <gerddie@pbg.beigert.it>  Mon, 13 Jan 2020 10:54:34 +0100

virglrenderer (0.8.1-4) unstable; urgency=medium

  * d/rules: also increase timeout for check library

 -- Gert Wollny <gewo@debian.org>  Sat, 11 Jan 2020 12:22:21 +0100

virglrenderer (0.8.1-3) unstable; urgency=medium

  * d/rules: increase the timeout yet a bit more

 -- Gert Wollny <gewo@debian.org>  Fri, 10 Jan 2020 11:14:39 +0100

virglrenderer (0.8.1-2) unstable; urgency=medium

  * d/rules: increase test timeout

 -- Gert Wollny <gewo@debian.org>  Thu, 09 Jan 2020 18:42:01 +0100

virglrenderer (0.8.1-1) unstable; urgency=medium
 
  * New upstream version 0.8.1 Closes: #946942
  * d/rules,d/control: Switch to meson build system
  * Fixes:  CVE-2019-18389 CVE-2019-18391
  * d/control: Update standards version to 4.4.1 (no changes)
  * d/control: Add check to enable testing 
  * d/rules: Run tests with surfaceless 
  * d/control: Add python3-setuptools because meson wants it

 -- Gert Wollny <gewo@debian.org>  Fri, 20 Dec 2019 14:06:51 +0100

virglrenderer (0.8.0-2) unstable; urgency=medium

  * d/control: Switch to python3, Closes: #943262

 -- Gert Wollny <gewo@debian.org>  Wed, 23 Oct 2019 10:37:42 +0200

virglrenderer (0.8.0-1) unstable; urgency=medium

  * d/control: Set minimum required gbm version

 -- Gert Wollny <gewo@debian.org>  Tue, 24 Sep 2019 12:52:05 +0200

virglrenderer (0.8.0-1~exp1) experimental; urgency=medium

  * d/watch: Update for gitlab.fdo
  * New upstream version 0.8.0
  * d/* Move to new so version and add package for the server
  * d/copyright: Add Authors for new files

 -- Gert Wollny <gewo@debian.org>  Thu, 29 Aug 2019 09:15:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: virglrenderer
 Section: libs
 Priority: optional
-Maintainer: Gert Wollny <gewo@debian.org>
-Build-Depends: autoconf-archive,
-               debhelper (>= 10),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gert Wollny <gewo@debian.org>
+Build-Depends: check,
+               debhelper (>= 12),
                libdrm-dev,
                libegl1-mesa-dev,
                libepoxy-dev,
-               libgbm-dev,
-               pkg-config,
-               python
+               libgbm-dev (>= 18.0.0),               
+               meson,
+               python3-setuptools,
+               pkg-config
 Homepage: https://virgil3d.github.io/
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/debian/virglrenderer.git
 Vcs-Browser: https://salsa.debian.org/debian/virglrenderer
 
-Package: libvirglrenderer0
+Package: libvirglrenderer1
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -32,7 +34,7 @@
 Package: libvirglrenderer-dev
 Section: libdevel
 Architecture: any
-Depends: libvirglrenderer0 (= ${binary:Version}), ${misc:Depends}
+Depends: libvirglrenderer1 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
 Description: virtual GPU for KVM virtualization - headers
  Library used by qemu to implement 3D GPU support for the virtio GPU.
@@ -44,3 +46,16 @@
  independent of the host GPU.
  .
  This package contains the development files and headers.
+
+Package: virgl-server
+Section: otherosfs
+Architecture: any
+Depends: libvirglrenderer1 (= ${binary:Version}), 
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: virtual GPU for KVM virtualization - vtest server used
+ for testing and container virtualization
+ .
+ Virgl is a software to separate OpenGL rendering from the host GPU
+ The vtest server provides the means to do this without going through
+ full virtualization

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export CK_TIMEOUT_MULTIPLIER=100

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Dtests=true

# deal with #842246
override_dh_autoreconf:


override_dh_auto_test:
ifeq (riscv64,$(DEB_HOST_ARCH))
	-LIBGL_ALWAYS_SOFTWARE=1 GALLIUM_DRIVER=softpipe VRENDTEST_USE_EGL_SURFACELESS=1 meson test -C obj-*  -t 100
else
	LIBGL_ALWAYS_SOFTWARE=1 GALLIUM_DRIVER=softpipe VRENDTEST_USE_EGL_SURFACELESS=1 meson test -C obj-*  -t 100
endif

## virglrenderer 0.9.1

=== debian/changelog ===
virglrenderer (0.9.1-1~exp1ubuntu2) jammy; urgency=medium

  * SECURITY UPDATE: out-of-bounds write in read_transfer_data()
    - debian/patches/CVE-2022-0135.patch: Add test to resource OOB write
      and fix it in src/vrend_renderer.c, tests/test_fuzzer_formats.c.
    - CVE-2022-0135
  * SECURITY UPDATE: info leak in vrend_resource_alloc_buffer()
    - debian/patches/CVE-2022-0175.patch: clear memory when allocating a
      host-backed memory resource in src/vrend_renderer.c,
      tests/test_virgl_transfer.c.
    - CVE-2022-0175

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 28 Feb 2022 14:19:07 -0500

virglrenderer (0.9.1-1~exp1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1959175). Remaining changes:
    - d/p/lp-1950941*: fix out of bounds check (LP #1950941)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Fri, 25 Feb 2022 02:23:43 +0530

virglrenderer (0.9.1-1~exp1) experimental; urgency=medium

  * New upstream version 0.9.1

 -- Gert Wollny <gewo@debian.org>  Tue, 20 Apr 2021 09:20:06 +0200

virglrenderer (0.9.0-1~exp1) experimental; urgency=medium

  * New upstream version 0.9.0
  * d/*.symbols: update symbols file

 -- Gert Wollny <gewo@debian.org>  Tue, 06 Apr 2021 15:24:55 +0200

virglrenderer (0.8.2-5ubuntu1) jammy; urgency=medium

  * d/p/lp-1950941*: fix out of bounds check (LP: #1950941)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 02 Dec 2021 08:34:48 +0100

virglrenderer (0.8.2-5build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:26:08 +0200

virglrenderer (0.8.2-5) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/rules: respect nocheck, Closes: #976647

 -- Gert Wollny <gewo@debian.org>  Mon, 07 Dec 2020 13:38:41 +0100

virglrenderer (0.8.2-4) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/rules: Ignore test failures on riscv64

  [ janitor-bot ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Gert Wollny <gewo@debian.org>  Tue, 28 Jul 2020 18:18:52 +0200

virglrenderer (0.8.2-3) unstable; urgency=medium

  * d/virgl_test_server.1: correct section entry, Closes: #963345

 -- Gert Wollny <gewo@debian.org>  Sun, 12 Jul 2020 19:54:57 +0200

virglrenderer (0.8.2-2) unstable; urgency=medium

  * re-updload to unstable

 -- Gert Wollny <gewo@debian.org>  Sun, 26 Apr 2020 13:14:31 +0200

virglrenderer (0.8.2-2~exp1) experimental; urgency=medium

  * d/*.symbols: Add symbols file, Closes: #944907
    Thanks Laurent Bigonville

 -- Gert Wollny <gewo@debian.org>  Sat, 25 Apr 2020 16:24:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Gert Wollny <gewo@debian.org>
 Build-Depends: check,
-               debhelper (>= 12),
+               debhelper-compat (= 12),
                libdrm-dev,
                libegl1-mesa-dev,
                libepoxy-dev,
-               libgbm-dev (>= 18.0.0),               
+               libgbm-dev (>= 18.0.0),
                meson,
                python3-setuptools,
                pkg-config
 Homepage: https://virgil3d.github.io/
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/virglrenderer.git
 Vcs-Browser: https://salsa.debian.org/debian/virglrenderer
 
@@ -50,7 +50,7 @@
 Package: virgl-server
 Section: otherosfs
 Architecture: any
-Depends: libvirglrenderer1 (= ${binary:Version}), 
+Depends: libvirglrenderer1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: virtual GPU for KVM virtualization - vtest server used

## virglrenderer 0.10.3

=== debian/changelog ===
virglrenderer (0.10.3-2) unstable; urgency=medium

  * Another non-maintainer upload.
  * d/rules: disable render-server on armel since it requires
    (not enabled) venus (Really closes: #1021861)
  * install the newly usr/libexec/virgl_render_server into virgl-server
    (on !armel)
  * d/rules: show testlog.txt (to stderr) in case of selftest failure
  * d/rules: ignore selftest failures on all 32bit arches too, for now
  * d/control: build-depend on dh-exec (for arch filtering of virgl-server)
  * d/control: switch to debhelper-compat=13
  * d/control: bump Standards-Version to 4.6.1 (no changes)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 20 Oct 2022 20:19:02 +0300

virglrenderer (0.10.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * remove Requires.private from the generated virglrenderer.pc file
    so that users of libvirglrenderer-dev can be built without its
    build dependencies. Closes: #1019485
  * Do not build venus on armel since it requires 32bit atomics
    Closes: #1021861
  * d/rules: make dh_auto_test rule a bit easier to read and maintain

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 20 Oct 2022 14:29:58 +0300

virglrenderer (0.10.3-1) unstable; urgency=medium

  * New upstream version 0.10.3
  * d/rules: enable venus and renderserver
  * d/control: add vulkan dependency

 -- Gert Wollny <gewo@debian.org>  Thu, 22 Sep 2022 18:15:47 +0200

virglrenderer (0.10.1-1) unstable; urgency=medium

  * debian/salsa-ci.yml added
  * New upstream version 0.10.1
  * d/p: remove patches that were merged upstream

 -- Gert Wollny <gewo@debian.org>  Tue, 06 Sep 2022 14:24:54 +0200

virglrenderer (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0
  * Add patch to fix video includes
  * Enable video backend and add dependency accordingly
 -- Gert Wollny <gewo@debian.org>  Fri, 02 Sep 2022 17:36:05 +0200

## virglrenderer 0.10.4

=== meson_options.txt ===
--- 
+++ 
@@ -32,10 +32,63 @@
 )
 
 option(
-  'gbm_allocation',
+  'minigbm_allocation',
   type : 'boolean',
   value : 'false',
-  description : 'enable support for gbm_allocations'
+  description : 'enable support for minigbm_allocations'
+)
+
+option(
+  'venus-experimental',
+  type : 'boolean',
+  value : 'false',
+  description : 'enable support for venus'
+)
+
+option(
+  'venus-validate',
+  type : 'boolean',
+  value : 'false',
+  description : 'enable the validation layer for venus'
+)
+
+option(
+  'check-gl-errors',
+  type : 'boolean',
+  value : 'true',
+  description : 'treat host-side gl errors as fatal'
+)
+
+# NOTE: expecting some slight fencing changes between host and guest
+# once ring_idx is plumbed through crosvm (ie. synchronizing between
+# host CPU and guest CPU will be a separate fence timeline)
+option(
+  'drm-msm-experimental',
+  type : 'boolean',
+  value : 'false',
+  description : 'enable support for msm drm native context'
+)
+
+option(
+  'render-server',
+  type : 'boolean',
+  value : 'false',
+  description : 'enable support for render server'
+)
+
+option(
+  'render-server-worker',
+  type : 'combo',
+  value : 'process',
+  choices : ['process', 'thread', 'minijail'],
+  description : 'how a context in render server is serviced'
+)
+
+option(
+  'video',
+  type : 'boolean',
+  value : 'false',
+  description : 'enable support for hardware video acceleration'
 )
 
 option(
@@ -58,3 +111,11 @@
   value : 'false',
   description : 'enable running unit tests with valgrind'
 )
+
+option(
+  'tracing',
+  type : 'combo',
+  value : 'none',
+  choices : [ 'percetto', 'perfetto', 'stderr', 'none' ],
+  description : 'enable emitting traces using the selected backend'
+)

=== debian/changelog ===
virglrenderer (0.10.4-1) unstable; urgency=medium

  * New upstream version 0.10.4

 -- Gert Wollny <gewo@debian.org>  Wed, 04 Jan 2023 13:22:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: virglrenderer
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gert Wollny <gewo@debian.org>
+Maintainer: Gert Wollny <gewo@debian.org>
 Build-Depends: check,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                libdrm-dev,
                libegl1-mesa-dev,
                libepoxy-dev,
                libgbm-dev (>= 18.0.0),
+               libva-dev,
+               libvulkan-dev,
                meson,
                python3-setuptools,
-               pkg-config
+               pkg-config,
+               dh-exec,
 Homepage: https://virgil3d.github.io/
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/virglrenderer.git
 Vcs-Browser: https://salsa.debian.org/debian/virglrenderer

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export CK_TIMEOUT_MULTIPLIER=100

%:
	dh $@ --buildsystem=meson

configure-opts = \
	-Dtests=true \
	-Dvideo=true \

ifneq (armel, ${DEB_HOST_ARCH})
# vulkan requires 32bit atomic ints, armel lacks one (#1021861)
configure-opts += \
	-Drender-server=true \
	-Drender-server-worker=process \
	-Dvenus-experimental=true
endif

override_dh_auto_configure:
	dh_auto_configure -- ${configure-opts}

# deal with #842246
override_dh_autoreconf:

execute_after_dh_auto_install:
# remove Requires.private from .pc file (#1019485)
# these are needed for static build and we're not providing static lib
# virgl does not #include<> headers from their dependencies, only libs
# which are needed for static linking. meson puts this to Requires.private
# (instead of Libs.private), and both makes pkgconfig to fail if the
# corresponding .pc files are not found. virglrenderer has grown quite a
# few "internal" dependencies, - instead of repeading almost whole Build-Deps
# in virglrenderer-dev's Depends, let's just remove whole Requires.private.
# Maybe someday debian will grow somehting like dh_pkgconfigdeps to
# automate maintenance of this unnecessary set of dependencies.
# meson knows which libraries it generates so can omit these
# (Libs|Requires).private in cade of dynamic-only library.
	sed -i '/^Requires\.private:/D' \
	  debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/virglrenderer.pc

ignore-test-failure =
ifeq (riscv64,${DEB_HOST_ARCH})
# see #962018, self-test fails on riscv64
ignore-test-failure = -
endif
ifeq (32,${DEB_HOST_ARCH_BITS})
# on 32bits arches, selftest sometimes fails and sometimes not.
# ignore failures for now
ignore-test-failure = -
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	${ignore-test-failure}\
	LIBGL_ALWAYS_SOFTWARE=1 \
	GALLIUM_DRIVER=softpipe \
	VRENDTEST_USE_EGL_SURFACELESS=1 \
		meson test -C obj-*  -t 100 || { \
		    echo '*** Self-tests failue, the logfile follows: ***' >&2; \
		    cat obj-*/meson-logs/testlog.txt >&2; \
		    echo '*** Self-tests failue log end ***' >&2; \
		    false; \
		}
endif

## virglrenderer 1.0.0

=== meson_options.txt ===
--- 
+++ 
@@ -39,7 +39,7 @@
 )
 
 option(
-  'venus-experimental',
+  'venus',
   type : 'boolean',
   value : 'false',
   description : 'enable support for venus'
@@ -59,9 +59,13 @@
   description : 'treat host-side gl errors as fatal'
 )
 
-# NOTE: expecting some slight fencing changes between host and guest
-# once ring_idx is plumbed through crosvm (ie. synchronizing between
-# host CPU and guest CPU will be a separate fence timeline)
+option(
+  'drm',
+  type : 'feature',
+  value : 'auto',
+  description : 'enable support for drm'
+)
+
 option(
   'drm-msm-experimental',
   type : 'boolean',
@@ -73,7 +77,7 @@
   'render-server',
   type : 'boolean',
   value : 'false',
-  description : 'enable support for render server'
+  description : 'DEPRECATED: render server is enabled by venus automatically'
 )
 
 option(
@@ -116,6 +120,6 @@
   'tracing',
   type : 'combo',
   value : 'none',
-  choices : [ 'percetto', 'perfetto', 'stderr', 'none' ],
+  choices : [ 'percetto', 'perfetto', 'sysprof', 'stderr', 'none' ],
   description : 'enable emitting traces using the selected backend'
 )

=== debian/changelog ===
virglrenderer (1.0.0-1ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:21:41 +0200

virglrenderer (1.0.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040435). Remaining changes:
    - d/rules: Disable video acceleration on Ubuntu until libva gets
      repromoted

 -- Bryce Harrington <bryce@canonical.com>  Wed, 22 Nov 2023 18:15:12 -0800

virglrenderer (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * d/rules: Fix build options
  * d/rules: switch to llvmpipe for testing
  * d/*.symbols: Update symbols file

 -- Gert Wollny <gewo@debian.org>  Sat, 14 Oct 2023 20:28:16 +0200

virglrenderer (0.10.4-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1993453).
  * Added changes:
    - d/rules: Disable video acceleration on Ubuntu until libva gets repromoted.
  * Dropped:
    - d/p/lp-1950941*: fix out of bounds check
      (LP #1950941)
      [Fixed in upstream release 0.10.0]
    - out-of-bounds write in read_transfer_data()
      + d/p/CVE-2022-0135.patch: Add test to resource OOB write
        and fix it in src/vrend_renderer.c, tests/test_fuzzer_formats.c.
      [Fixed in upstream release 0.10.0]
    - info leak in vrend_resource_alloc_buffer()
      + d/p/CVE-2022-0175.patch: clear memory when allocating a
        host-backed memory resource in src/vrend_renderer.c,
        tests/test_virgl_transfer.c.
      [Fixed in upstream release 0.10.0]

 -- Bryce Harrington <bryce@canonical.com>  Thu, 05 Jan 2023 06:49:25 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: virglrenderer
 Section: libs
 Priority: optional
-Maintainer: Gert Wollny <gewo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gert Wollny <gewo@debian.org>
 Build-Depends: check,
                debhelper-compat (= 13),
                libdrm-dev,

=== debian/rules ===
--- 
+++ 
@@ -4,19 +4,26 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export CK_TIMEOUT_MULTIPLIER=100
 
+# libva is not currently in Ubuntu main
+ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
+VIDEO := -Dvideo=false
+else
+VIDEO := -Dvideo=true
+endif
+
 %:
 	dh $@ --buildsystem=meson
 
 configure-opts = \
 	-Dtests=true \
-	-Dvideo=true \
+	$(VIDEO) \
 
 ifneq (armel, ${DEB_HOST_ARCH})
 # vulkan requires 32bit atomic ints, armel lacks one (#1021861)
 configure-opts += \
 	-Drender-server=true \
 	-Drender-server-worker=process \
-	-Dvenus-experimental=true
+	-Dvenus=true
 endif
 
 override_dh_auto_configure:
@@ -56,7 +63,7 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	${ignore-test-failure}\
 	LIBGL_ALWAYS_SOFTWARE=1 \
-	GALLIUM_DRIVER=softpipe \
+	GALLIUM_DRIVER=llvmpipe \
 	VRENDTEST_USE_EGL_SURFACELESS=1 \
 		meson test -C obj-*  -t 100 || { \
 		    echo '*** Self-tests failue, the logfile follows: ***' >&2; \

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\S+-\d\S+)\/virglrenderer.*\.tar\.bz2/$1\.tar\.bz2/g \
  https://gitlab.freedesktop.org/virgl/virglrenderer/tags?sort=updated_desc  .*/archive/\S+-(\d\S+)/.*\.tar\.bz2

## virglrenderer 1.1.0

=== meson_options.txt ===
--- 
+++ 
@@ -60,17 +60,14 @@
 )
 
 option(
-  'drm',
-  type : 'feature',
-  value : 'auto',
-  description : 'enable support for drm'
-)
-
-option(
-  'drm-msm-experimental',
-  type : 'boolean',
-  value : 'false',
-  description : 'enable support for msm drm native context'
+  'drm-renderers',
+  type : 'array',
+  value : [],
+  choices : [
+    'amdgpu-experimental',
+    'msm',
+  ],
+  description : 'List of drm native-context renderers to build'
 )
 
 option(
@@ -123,3 +120,10 @@
   choices : [ 'percetto', 'perfetto', 'sysprof', 'stderr', 'none' ],
   description : 'enable emitting traces using the selected backend'
 )
+
+option(
+  'unstable-apis',
+  type : 'boolean',
+  value : 'false',
+  description : 'enable unstable apis'
+)

=== debian/changelog ===
virglrenderer (1.1.0-2) unstable; urgency=medium

  * Revert "d/rules: remove armel workaround for 32bit atomic
    to see how it goes" - it is still needed
  * d/rules: disable tests for now, because it wants local /dev/dri
    (Closes: #1072064, #1063637)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 10 Nov 2024 21:23:15 +0300

virglrenderer (1.1.0-1) unstable; urgency=medium

  [ Antonio Ospite ]
  * d/watch: Simplify watch file for gitlab.freedesktop.org

  [ Alex Bennée ]
  * debian/control: fix pkgconf dependency

  [ Michael Tokarev ]
  * d/watch: do not use @ANY_VERSION@ for the subdir part
    to stop doubling the upstream version
  * new upstream release 1.1.0 (Closes: #1083097, #1086574)
  * d/control: add myself to uploaders
  * d/control: bump Standards-Version to 4.7.0 (no changes)
  * d/control: Rules-Requires-Root: no
  * d/virgl_test_server.1: fix typo: varibles => variables
  * d/virgl_test_server.1: remove trailing spaces
  * d/rules: disable video on ubuntu since libva is in universe
  * d/rules: spelling fix: failue=>failure
  * d/rules: remove --buildsystem=meson
  * d/rules: stop overriding dh_autoreconf as we now use meson
  * d/rules: remove armel workaround for 32bit atomic to see how it goes

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 10 Nov 2024 19:30:39 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: virglrenderer
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gert Wollny <gewo@debian.org>
+Maintainer: Gert Wollny <gewo@debian.org>
+Uploaders: Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends: check,
                debhelper-compat (= 13),
                libdrm-dev,
@@ -13,10 +13,11 @@
                libvulkan-dev,
                meson,
                python3-setuptools,
-               pkg-config,
+               pkgconf,
                dh-exec,
 Homepage: https://virgil3d.github.io/
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/virglrenderer.git
 Vcs-Browser: https://salsa.debian.org/debian/virglrenderer

=== debian/rules ===
--- 
+++ 
@@ -4,19 +4,15 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export CK_TIMEOUT_MULTIPLIER=100
 
-# libva is not currently in Ubuntu main
-ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
-VIDEO := -Dvideo=false
-else
-VIDEO := -Dvideo=true
-endif
-
 %:
-	dh $@ --buildsystem=meson
+	dh $@
 
 configure-opts = \
 	-Dtests=true \
-	$(VIDEO) \
+
+# disable video on Ubuntu due to libva being in universe
+configure-opts += \
+	-Dvideo=$(if $(filter $(shell dpkg-vendor --query vendor),Ubuntu),false,true)
 
 ifneq (armel, ${DEB_HOST_ARCH})
 # vulkan requires 32bit atomic ints, armel lacks one (#1021861)
@@ -28,9 +24,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- ${configure-opts}
-
-# deal with #842246
-override_dh_autoreconf:
 
 execute_after_dh_auto_install:
 # remove Requires.private from .pc file (#1019485)
@@ -48,6 +41,7 @@
 	sed -i '/^Requires\.private:/D' \
 	  debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/virglrenderer.pc
 
+
 ignore-test-failure =
 ifeq (riscv64,${DEB_HOST_ARCH})
 # see #962018, self-test fails on riscv64
@@ -60,15 +54,17 @@
 endif
 
 override_dh_auto_test:
+ifneq (1,1) # disable tests b/c it wants local /dev/dri/
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	${ignore-test-failure}\
 	LIBGL_ALWAYS_SOFTWARE=1 \
 	GALLIUM_DRIVER=llvmpipe \
 	VRENDTEST_USE_EGL_SURFACELESS=1 \
 		meson test -C obj-*  -t 100 || { \
-		    echo '*** Self-tests failue, the logfile follows: ***' >&2; \
+		    echo '*** Self-tests failure, the logfile follows: ***' >&2; \
 		    cat obj-*/meson-logs/testlog.txt >&2; \
-		    echo '*** Self-tests failue log end ***' >&2; \
+		    echo '*** Self-tests failure log end ***' >&2; \
 		    false; \
 		}
 endif
+endif

## virglrenderer 1.2.0

=== meson_options.txt ===
--- 
+++ 
@@ -53,6 +53,25 @@
 )
 
 option(
+  'vulkan-dload',
+  type : 'boolean',
+  value : 'false',
+  description : 'enable loading libvulkan dynamically at runtime instead of linking to it at build-time'
+)
+
+option(
+  'vulkan-preload',
+  type : 'boolean',
+  value : 'false',
+  description : 'Enable Vulkan ICD preload inside the render server process. ' +
+                'This allows sharing of e.g. anon pages allocated within ICD ' +
+                'loading for free among all render worker processes forked. ' +
+                'WARNING! Enable with caution, because not all ICDs support ' +
+                'being preloaded that is safe to fork. e.g. NV proprietary ' +
+                'driver is not (see virglrenderer issue #630 for details)'
+)
+
+option(
   'check-gl-errors',
   type : 'boolean',
   value : 'true',
@@ -65,6 +84,7 @@
   value : [],
   choices : [
     'amdgpu-experimental',
+    'asahi',
     'msm',
   ],
   description : 'List of drm native-context renderers to build'

=== debian/changelog ===
virglrenderer (1.2.0-2) unstable; urgency=medium

  * d/control: update descriptions of the packages (Closes: #1107662)
  * d/control: recommend virgl-server from libvirglrenderer1,
    and make virgl-server multi-arch: foreign

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 16 Sep 2025 15:07:44 +0300

virglrenderer (1.2.0-1) unstable; urgency=medium

  * new upstream release
  * d/gbp.conf: add
  * d/control: add python3-yaml to Build-Depends
  * d/control: Standards-Version: 4.7.2 (no changes needed)
  * d/rules: reorder a tiny bit and add (import) architecture macros
  * d/copyright: update
  * d/rules: DPKG_GENSYMBOLS_CHECK_LEVEL=4
  * d/libvirglrenderer1.symbols: add 3 new symbols
  * d/README.source: remove

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 16 Sep 2025 12:29:31 +0300

=== debian/control ===
Source: virglrenderer
Section: libs
Priority: optional
Maintainer: Gert Wollny <gewo@debian.org>
Uploaders: Michael Tokarev <mjt@tls.msk.ru>
Build-Depends: debhelper-compat (= 13),
 check,
 libdrm-dev,
 libegl1-mesa-dev,
 libepoxy-dev,
 libgbm-dev (>= 18.0.0),
 libva-dev,
 libvulkan-dev,
 meson,
 python3-setuptools,
 python3-yaml,
 pkgconf,
 dh-exec,
Homepage: https://virgil3d.github.io/
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/virglrenderer.git
Vcs-Browser: https://salsa.debian.org/debian/virglrenderer

Package: libvirglrenderer1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: virgl-server
Multi-Arch: same
Description: VirGL virtual OpenGL renderer - runtime library
 Virgil is a research project to investigate the possibility of creating
 a virtual 3D GPU for use inside qemu virtual machines, that allows the
 guest operating system to use the capabilities of the host GPU
 to accelerate 3D rendering. The plan is to have a guest GPU that is fully
 independent of the host GPU.
 .
 This package provides the runtime library used to implement the 3D GPU support
 for the virtio GPU.

Package: libvirglrenderer-dev
Section: libdevel
Architecture: any
Depends: libvirglrenderer1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: VirGL virtual OpenGL renerer - development files
 Virgil is a research project to investigate the possibility of creating
 a virtual 3D GPU for use inside qemu virtual machines, that allows the
 guest operating system to use the capabilities of the host GPU
 to accelerate 3D rendering. The plan is to have a guest GPU that is fully
 independent of the host GPU.
 .
 This package provides the development files used to implement the 3D GPU
 support for the virtio GPU.

Package: virgl-server
Section: otherosfs
Architecture: any
Depends: libvirglrenderer1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: foreign
Description: VirGL virtual OpenGL renderer - host binaries
 Virgil is a research project to investigate the possibility of creating
 a virtual 3D GPU for use inside qemu virtual machines, that allows the
 guest operating system to use the capabilities of the host GPU
 to accelerate 3D rendering. The plan is to have a guest GPU that is fully
 independent of the host GPU.
 .
 This package provides the host-side binaries to actually draw the virtual
 graphics on the screen.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,15 @@
 #!/usr/bin/make -f
 
-include /usr/share/dpkg/buildflags.mk
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export CK_TIMEOUT_MULTIPLIER=100
+export DPKG_GENSYMBOLS_CHECK_LEVEL=4
+
+include /usr/share/dpkg/buildflags.mk
+
+ifeq ($(and ${DEB_HOST_MULTIARCH},${DEB_HOST_ARCH}),)
+# Fast version of dpkg/architecture.mk defining all vars in one go
+   $(foreach d, $(shell dpkg-architecture | sed 's/=/?=/'), $(eval export $d))
+endif
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.freedesktop.org/virgl/virglrenderer/tags?sort=updated_desc -/archive/v?\d[\d.]+/virglrenderer-@ANY_VERSION@@ARCHIVE_EXT@
